## ignition-common 4.5.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-common4 VERSION 4.5.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

#--------------------------------------
# Option: Should Windows test symlinking?
if(WIN32)
  option(
    IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS
    "Creating symlinks requires special permissions on Windows, so those tests are disabled by default"
    false)
endif()

#--------------------------------------
# Option: Should we use our internal copy of tinyxml2?
if(UNIX OR APPLE)
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" ON)
elseif(WIN32)
  # For backward compatibility, this option on Windows by default is OFF
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" OFF)
endif()


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED_BY graphics events VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-utils
ign_find_package(ignition-utils1 REQUIRED_BY graphics VERSION 1.0)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

#--------------------------------------
# Find Tinyxml2
if(USE_EXTERNAL_TINYXML2)
  ign_find_package(TINYXML2 PRETTY tinyxml2
    REQUIRED_BY graphics
    PRIVATE_FOR graphics)
else()
  message(STATUS "Skipping search for tinyxml2 and using an internal version\n")
endif()

#--------------------------------------
# Find libdl
ign_find_package(
  DL REQUIRED PRIVATE PRETTY libdl PURPOSE "Required for plugins")

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)

  #------------------------------------
  # Find uuid
  ign_find_package(UUID REQUIRED PRETTY uuid)

endif()

#------------------------------------
# Find Freeimage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find GNU Triangulation Surface Library
ign_find_package(
  GTS PRETTY gts PURPOSE "GNU Triangulation Surface library"
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find libswscale
ign_find_package(SWSCALE REQUIRED_BY av PRETTY libswscale)

#------------------------------------
# Find avdevice
ign_find_package(AVDEVICE VERSION 56.4.100 REQUIRED_BY av PRETTY libavdevice)

#------------------------------------
# Find avformat
ign_find_package(AVFORMAT REQUIRED_BY av PRETTY libavformat)

#------------------------------------
# Find avcodec
ign_find_package(AVCODEC REQUIRED_BY av PRETTY libavcodec)

#------------------------------------
# Find avutil
ign_find_package(AVUTIL REQUIRED_BY av PRETTY libavutil)


message(STATUS "-------------------------------------------\n")


#============================================================================
# Configure the build
#============================================================================
configure_file("${PROJECT_SOURCE_DIR}/cppcheck.suppress.in"
               ${PROJECT_BINARY_DIR}/cppcheck.suppress)

ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS av events graphics profiler)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the ignition-common library
set(IGN_COMMON_VER 4)
find_package(ignition-common${IGN_COMMON_VER} QUIET REQUIRED COMPONENTS events profiler)

add_executable(assert_example assert_example.cc)
target_link_libraries(assert_example ignition-common${IGN_COMMON_VER}::core)

add_executable(console_example console.cc)
target_link_libraries(console_example ignition-common${IGN_COMMON_VER}::core)

add_executable(events_example events.cc)
target_link_libraries(events_example ignition-common${IGN_COMMON_VER}::events)

add_executable(profiler_example profiler.cc)
target_link_libraries(profiler_example ignition-common${IGN_COMMON_VER}::profiler)
target_compile_definitions(profiler_example PUBLIC "IGN_PROFILER_ENABLE=1")

=== profiler/CMakeLists.txt ===

add_subdirectory(src)

install(
  DIRECTORY include/
  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== test/CMakeLists.txt ===
include_directories(
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)

target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)
add_subdirectory(plugins)
add_subdirectory(static_assertions)

configure_file(test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

=== av/src/CMakeLists.txt ===
option(IGN_COMMON_BUILD_HW_VIDEO
  "Build support for HW-accelerated video encoding" ON)

ign_get_libsources_and_unittests(sources gtest_sources)

if(NOT IGN_COMMON_BUILD_HW_VIDEO)
  list(REMOVE_ITEM sources HWEncoder.cc)
endif()

ign_add_component(av SOURCES ${sources} GET_TARGET_NAME av_target)

target_link_libraries(${av_target}
  PUBLIC
    SWSCALE::SWSCALE
    AVDEVICE::AVDEVICE
    AVFORMAT::AVFORMAT
    AVCODEC::AVCODEC
    AVUTIL::AVUTIL)

if(IGN_COMMON_BUILD_HW_VIDEO)
  target_compile_definitions(${av_target} PRIVATE IGN_COMMON_BUILD_HW_VIDEO)
endif()

ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  LIB_DEPS
    ${av_target}
    ignition-cmake${IGN_CMAKE_VER}::utilities
)

=== graphics/src/CMakeLists.txt ===

ign_get_libsources_and_unittests(sources gtest_sources)


if(NOT USE_EXTERNAL_TINYXML2)
  # If we are using our internal copy of tinyxml2, then add its
  # source file.
  message(STATUS "Adding tinyxml2 source files")
  list(APPEND sources ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2/tinyxml2.cpp)
endif()


ign_add_component(graphics SOURCES ${sources} GET_TARGET_NAME graphics_target)

target_link_libraries(${graphics_target}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
    ignition-utils${IGN_UTILS_VER}::ignition-utils${IGN_UTILS_VER}
  PRIVATE
    GTS::GTS
    FreeImage::FreeImage)

ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  LIB_DEPS ${graphics_target})

if(USE_EXTERNAL_TINYXML2)

  # If we are using an external copy of tinyxml2, add its imported target
  target_link_libraries(${graphics_target}
    PRIVATE
      TINYXML2::TINYXML2)

    # The collada exporter test uses tinyxml2, so we must link it if we're using
    # an external copy. The graphics target considers tinyxml2 to be a private
    # dependency, so it will not automatically get linked to this test.
    if(TARGET UNIT_ColladaExporter_TEST)
      target_link_libraries(UNIT_ColladaExporter_TEST TINYXML2::TINYXML2)
    endif()

else()

  # Otherwise, add its source directory to our target's PRIVATE include
  # directories. We do not want this to be visible to consumers of
  # ignition-common.
  target_include_directories(${graphics_target}
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2)

  if(TARGET UNIT_ColladaExporter_TEST)

    # If we are using the internal copy of tinyxml2, then the collada exporter
    # test needs to be pointed to the internal tinyxml2 include directory.
    target_include_directories(UNIT_ColladaExporter_TEST PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2)
    # We also need to add this as a source file to the collada exporter test's
    # target, because we do not export the tinyxml2 symbols that get generated
    # in the ignition-common library. Therefore, the collada exporter test
    # cannot link to those symbols and must generate its own.
    target_sources(UNIT_ColladaExporter_TEST PRIVATE tinyxml2/tinyxml2.cpp)

  endif()

endif()

# define of tinxml2 major version >= 6
# https://github.com/ignitionrobotics/ign-common/issues/28
if (NOT TINYXML2_VERSION VERSION_LESS "6.0.0")
  message(STATUS "TINYXML2_VERSION ${TINYXML2_VERSION} >= 6.0.0")
  target_compile_definitions(${graphics_target}
    PRIVATE "TINYXML2_MAJOR_VERSION_GE_6")
endif()

=== profiler/src/CMakeLists.txt ===
option(IGN_PROFILER_REMOTERY "Enable the Remotery profiler" TRUE)

set(
  PROFILER_SRCS
  Profiler.cc
)

set(
  PROFILER_TESTS
  Profiler_Disabled_TEST.cc
)

if(IGN_PROFILER_REMOTERY)
  set(
    Remotery_SRC
    ./Remotery/lib/Remotery.c
    ./Remotery/lib/Remotery.h
  )

  if(APPLE)
    set(
      Remotery_SRC
      ${Remotery_SRC}
      ./Remotery/lib/RemoteryMetal.mm
    )
    find_library(FOUNDATION Foundation
      HINTS /System/Library/Frameworks
    )
  endif()

  set(RMT_ENABLED 1)
  set(RMT_USE_TINYCRT 0)
  set(RMT_USE_CUDA 0)
  set(RMT_USE_D3D11 0)
  set(RMT_USE_OPENGL 0)
  set(RMT_USE_METAL 0)

  if(UNIX OR WIN32)
    set(RMT_USE_OPENGL 1)
  endif()

  if(WIN32)
    set(RMT_USE_D3D11 1)
  endif()

  if(APPLE)
    set (RMT_USE_METAL 1)
  endif()

  configure_file(RemoteryConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/RemoteryConfig.h)

  list(APPEND PROFILER_SRCS ${Remotery_SRC} RemoteryProfilerImpl.cc)
  list(APPEND PROFILER_TESTS Profiler_Remotery_TEST.cc)
endif()

ign_add_component(profiler SOURCES ${PROFILER_SRCS} GET_TARGET_NAME profiler_target)

# Always enable profiler so that it's built, but make it
# private so that downstream users can still disable profiling
target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_ENABLE=1")
target_compile_definitions(${profiler_target} PRIVATE "RMT_USE_METAL=${RMT_USE_METAL}")

if(IGN_PROFILER_REMOTERY)
  target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_REMOTERY=1")

  target_include_directories(
    ${profiler_target}
    PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Remotery/lib>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  )

  if (UNIX)
    target_link_libraries(${profiler_target} PUBLIC pthread)
  endif()

  if(APPLE)
    target_link_libraries(${profiler_target} PUBLIC ${FOUNDATION})
  endif()
endif()

ign_build_tests(TYPE UNIT SOURCES ${PROFILER_TESTS}
  LIB_DEPS ${profiler_target}
  TEST_LIST profiler_tests)

if(TARGET UNIT_Profiler_Remotery_TEST)
  target_compile_definitions(UNIT_Profiler_Remotery_TEST
    PUBLIC "IGN_PROFILER_ENABLE=1")
endif()

if(IGN_PROFILER_REMOTERY)
  set(IGN_PROFILER_SCRIPT_PATH ${CMAKE_INSTALL_LIBEXECDIR}/ignition/ignition-common${PROJECT_VERSION_MAJOR})
  set(IGN_PROFILER_VIS_PATH ${IGN_DATA_INSTALL_DIR}/profiler_vis)

  configure_file(Remotery/ign_remotery_vis.in
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis
    @ONLY)

  install(PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis
    DESTINATION ${IGN_PROFILER_SCRIPT_PATH})

  install(DIRECTORY Remotery/vis/
          DESTINATION ${IGN_PROFILER_VIS_PATH})
endif()

=== test/integration/CMakeLists.txt ===
# This is to make test_config.h visible
include_directories("${CMAKE_BINARY_DIR}")

ign_get_sources(tests)

# FIXME the mesh test does not work
list(REMOVE_ITEM tests mesh.cc)

if (SKIP_av OR INTERNAL_SKIP_av)
  list(REMOVE_ITEM tests encoder_timing.cc)
  list(REMOVE_ITEM tests video_encoder.cc)
endif()

ign_build_tests(
  TYPE INTEGRATION
  SOURCES ${tests}
)

if(TARGET INTEGRATION_plugin)
  # We add this dependency to make sure that DummyPlugins gets generated
  # before INTEGRATION_plugin so that its auto-generated header is available.
  # We do not want to link INTEGRATION_plugin to the DummyPlugins library.
  add_dependencies(INTEGRATION_plugin IGNDummyPlugins)
endif()

if(TARGET INTEGRATION_encoder_timing)
  target_link_libraries(INTEGRATION_encoder_timing ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

if(TARGET INTEGRATION_video_encoder)
  target_link_libraries(INTEGRATION_video_encoder ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

=== test/plugins/CMakeLists.txt ===
add_library(IGNBadPluginAlign         SHARED BadPluginAlign.cc)
add_library(IGNBadPluginAPIVersionNew SHARED BadPluginAPIVersionNew.cc)
add_library(IGNBadPluginAPIVersionOld SHARED BadPluginAPIVersionOld.cc)
add_library(IGNBadPluginSize          SHARED BadPluginSize.cc)
add_library(IGNDummyPlugins           SHARED DummyPlugins.cc)

set_property(TARGET IGNBadPluginAlign PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginAPIVersionNew PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginAPIVersionOld PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginSize PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNDummyPlugins PROPERTY CXX_STANDARD 11)

# Create a variable for the name of the header which will contain the dummy plugin path.
# This variable gets put in the cache so that it is available at generation time.
set(IGN_DUMMY_PLUGIN_PATH_HEADER "DummyPluginsPath.h" CACHE INTERNAL "Name of header which contains DummyPlugin library path")

if(WIN32)
  get_target_property(IGNDummyPluginsLocation IGNDummyPlugins RUNTIME_OUTPUT_DIRECTORY)
else()
  get_target_property(IGNDummyPluginsLocation IGNDummyPlugins LIBRARY_OUTPUT_DIRECTORY)
endif()
set(header_text "#define IGN_DUMMY_PLUGIN_PATH \"${IGNDummyPluginsLocation}\"")

# Pipe the header text into a header that will be placed in the project binary directory.
# We need to use this approach instead of the usual configure_file, because we required a
# generator expression in order to locate the IGNDummyPlugins library on Windows. Generator
# expressions can only be evaluated during generation (as opposed to during configuration),
# so we must use add_custom_command in order to produce this header.
add_custom_target(IGNDummyPluginsPathHeader)
if(WIN32)
  # Including VERBATIM causes the wrong behavior on Windows, so we leave it out of the 
  # custom command when compiling on Windows.
  add_custom_command(TARGET IGNDummyPluginsPathHeader
        PRE_BUILD
        COMMAND echo
        ARGS "${header_text}" > ${PROJECT_BINARY_DIR}/${IGN_DUMMY_PLUGIN_PATH_HEADER})
else()
  add_custom_command(TARGET IGNDummyPluginsPathHeader
      PRE_BUILD
      COMMAND echo
      ARGS "${header_text}" > ${PROJECT_BINARY_DIR}/${IGN_DUMMY_PLUGIN_PATH_HEADER}
      VERBATIM)
endif()
add_dependencies(IGNDummyPlugins IGNDummyPluginsPathHeader)

=== include/ignition/common/CMakeLists.txt ===

ign_install_all_headers()

=== debian/changelog ===
ignition-common (4.5.0+ds-1) unstable; urgency=medium

  * New upstream version 4.5.0+ds
  * Delele patch merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 23:38:49 +0000

ignition-common (4.4.0+ds-5) unstable; urgency=medium

  * Team upload.
  * Add missing dependency
  * Update MA hints according to MA hinter
  * Add breaks for autopkgtest in testing (Closes: #1004101)
  * Remove unused dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jan 2022 09:22:23 +0100

ignition-common (4.4.0+ds-4) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:24:43 +0000

ignition-common (4.4.0+ds-3) experimental; urgency=medium

  * Fix package names

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Dec 2021 11:19:54 +0000

ignition-common (4.4.0+ds-2) experimental; urgency=medium

  * Missing depends in -dev files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Dec 2021 00:54:48 +0100

ignition-common (4.4.0+ds-1) experimental; urgency=medium

  * New upstream version 4.4.0+ds
  * Update debian metadata to major 4
  * Refresh patches
  * Add ignition-utils dependency
  * Use execute_after instead of overriding dh_install
  * Use external tinyxml2
  * Update copyright file
  * Suggests ignition-tools
  * Declare no multiarch ignition-common-cli
  * Update override. Left here to avoid salsa to fail hard
  * Fix package names to match real ones
  * Use libexec to package binaries inside ignition-transport-cli package
  * Patches imported from master_v3 branch:
    * Include more ignored tests due to copyright issues
    * Include xml tag file in -dev package
    * Add doxygen to build-deps
    * Update lintian override with the new message
    * Remove gitlab file
    * Do not need superfluos check
    * Support for multiple -dev files
    * Use @ for installing all the needed config files
    * Use all hardening flags
    * Fix duplicate files in different packages
    * Update copyright
    * Add ignore for blhc when test suite compiles plugins
    * Fix blhc ignore
    * Add patch to disable performance
    * Install examples in -dev file
    * Add the graphics library

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Nov 2021 15:36:07 +0000

ignition-common (3.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.14.0+dfsg
    (Closes: #984182)
  * Remove C++11 gtest patch
  * Refresh patch
  * Include more ignored tests due to copyright issues
  * Update standards

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Oct 2021 22:20:41 +0000

=== debian/control ===
Source: ignition-common
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               doxygen,
               libgtest-dev,
               libfreeimage-dev,
               libignition-cmake-dev (>= 2.8.0),
               libignition-math-dev (>= 6),
               libignition-utils-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libavdevice-dev,
               libswscale-dev,
               libtinyobjloader-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
Homepage: https://ignitionrobotics.org/libs/common

Package: libignition-common-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         uuid-dev,
         libignition-common4-4 (= ${binary:Version}),
         libtinyobjloader-dev,
         ${misc:Depends}
Suggests: ignition-tools
Breaks: libignition-fuel-tools-dev (<< 7)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Core dev files
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Core development files

Package: libignition-common-dev
Architecture: any
Section: libdevel
Depends: libignition-common-core-dev (= ${binary:Version}),
         libignition-common-av-dev (= ${binary:Version}),
         libignition-common-graphics-dev (= ${binary:Version}),
         libignition-common4-profiler4 (= ${binary:Version}),
         libignition-common4-events4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Recommends: ignition-common-cli
Description: Collection of useful code used by robotics apps - Metapackage
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Metapackage for development. Includes events and profiler.

Package: libignition-common4-4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Shared library
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package gathers the shared library

Package: libignition-common4-av4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library

Package: libignition-common-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-core-dev,
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common4-av4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV dev files
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library, development files

Package: libignition-common4-events4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Events libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Events component of the library

Package: libignition-common-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-core-dev,
         libignition-math-dev,
         libignition-utils-dev,
         libtinyobjloader-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common4-graphics4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library, development files

Package: libignition-common4-graphics4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Graphics libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Graphics component of the library

Package: libignition-common4-profiler4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Profiler libs
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Profiler component of the library

Package: ignition-common-cli
Architecture: any
Depends: libignition-common4-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - CLI tools
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Ignition transport client tools

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/ignitionrobotics/ign-common/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-common 4.5.1%2Bds

=== debian/changelog ===
ignition-common (4.5.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Add patch for missing include (Closes: #1019282)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Sep 2022 23:19:52 +0200

ignition-common (4.5.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.5.1+ds (Closes: #1004799)
  * Update d/copyright
  * Bump policy version (no changes)
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jun 2022 00:41:46 +0200

## ignition-common 4.5.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common4 VERSION 4.5.0)
+project(ignition-common4 VERSION 4.5.1)
 
 #============================================================================
 # Find ignition-cmake

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -16,3 +16,7 @@
 add_executable(profiler_example profiler.cc)
 target_link_libraries(profiler_example ignition-common${IGN_COMMON_VER}::profiler)
 target_compile_definitions(profiler_example PUBLIC "IGN_PROFILER_ENABLE=1")
+
+add_executable(logging_performance logging_performance.cc)
+target_link_libraries(logging_performance ignition-common${IGN_COMMON_VER}::core)
+

=== src/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable
ign_get_libsources_and_unittests(sources gtest_sources)

# Create the library target
ign_create_core_library(
  SOURCES ${sources}
  CXX_STANDARD 17)

# Link the libraries that we always need
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PRIVATE ${DL_TARGET})

# This is required by the WorkerPool::WaitForResults(const Time &_timeout)
# TODO(anyone): IGN_DEPRECATED(4). Remove this part when the method is removed
target_include_directories(${PROJECT_LIBRARY_TARGET_NAME} PRIVATE
  ${ignition-math${IGN_MATH_VER}_INCLUDE_DIRS})

# Handle non-Windows configuration settings
if(NOT WIN32)
  # Link the libraries that we don't expect to find on Windows
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PUBLIC UUID::UUID
    pthread)
else()
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PRIVATE shlwapi)
endif()

# don't build MovingWindowFilter_TEST if we don't have ignition-math
if(NOT ignition-math${IGN_MATH_VER}_FOUND)
  list(REMOVE_ITEM gtest_sources MovingWindowFilter_TEST.cc)
endif()

# Build the unit tests
ign_build_tests(
  TYPE UNIT
  SOURCES ${gtest_sources}
  LIB_DEPS
    ignition-cmake${IGN_CMAKE_VER}::utilities
  INCLUDE_DIRS
    # Used to make internal source file headers visible to the unit tests
    ${CMAKE_CURRENT_SOURCE_DIR}
    # Used to make test-directory headers visible to the unit tests
    ${PROJECT_SOURCE_DIR}
    # Used to make test_config.h visible to the unit tests
    ${PROJECT_BINARY_DIR})

if(TARGET UNIT_MovingWindowFilter_TEST)
  target_include_directories(UNIT_MovingWindowFilter_TEST PRIVATE
    ${ignition-math${IGN_MATH_VER}_INCLUDE_DIRS})
endif()

if(TARGET UNIT_PluginLoader_TEST)
  target_compile_definitions(UNIT_PluginLoader_TEST PRIVATE
    "IGN_COMMON_LIB_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\"")
endif()

# Produce warning on Windows if the user has decided to turn on the symlink
# tests. In order for those tests to work, they will need to run the tests in
# administrative mode, or use some other workaround.
if(WIN32)
  if(IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS)
    message(STATUS "")
    message(STATUS "You have opted to enable symlink tests on a Windows platform.")
    message(STATUS "The test UNIT_Filesystem_TEST will require elevated privileges")
    message(STATUS "in order to succeed. For more information, see the issue")
    message(STATUS "https://github.com/ignitionrobotics/ign-common/issues/21")
    message(STATUS "")
    target_compile_definitions(UNIT_Filesystem_TEST PRIVATE IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS)
  endif()
endif()

=== test/static_assertions/CMakeLists.txt ===
set(static_assert_tests
  plugin_bad_const_assignment
  plugin_bad_const_construct
  plugin_no_base_class
  # TODO Fix FQN name check
  # plugin_not_fully_qualified_class
  # plugin_not_fully_qualified_base
  plugin_not_global_ns
  plugin_wrong_base_class
  )

if (UNIX)
  set(flag -Wno-unused-private-field)
  CHECK_CXX_COMPILER_FLAG(${flag} Rflag)
  # Make tests that try to build these files
  foreach (test ${static_assert_tests})
    add_executable(${test} ${test}.cc)
    set_target_properties(${test} PROPERTIES
      EXCLUDE_FROM_ALL TRUE
      EXCLUDE_FROM_DEFAULT_BUILD TRUE)
    if (Rflag)
      target_compile_options(${test} PRIVATE ${flag})
    endif()
    add_test(NAME STATIC_ASSERT_${test}
      COMMAND ${CMAKE_SOURCE_DIR}/test/static_assertions/testrunner.bash ${CMAKE_COMMAND} --build . --target ${test} --config $<CONFIGURATION>
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
  endforeach()

  # Tests pass if the output contains the expected error

  set_tests_properties(STATIC_ASSERT_plugin_bad_const_assignment PROPERTIES
    PASS_REGULAR_EXPRESSION "The requested PluginPtr cast would discard const qualifiers")

  set_tests_properties(STATIC_ASSERT_plugin_bad_const_construct PROPERTIES
    PASS_REGULAR_EXPRESSION "The requested PluginPtr cast would discard const qualifiers")

  set_tests_properties(STATIC_ASSERT_plugin_no_base_class PROPERTIES
    PASS_REGULAR_EXPRESSION "is not a base class of")

  set_tests_properties(STATIC_ASSERT_plugin_not_global_ns PROPERTIES
    PASS_REGULAR_EXPRESSION "IGN_macro_must_be_used_in_global_namespace")

  set_tests_properties(STATIC_ASSERT_plugin_wrong_base_class PROPERTIES
    PASS_REGULAR_EXPRESSION "is not a base class of")
endif()

=== events/include/ignition/common/CMakeLists.txt ===

ign_install_all_headers(COMPONENT events)

=== debian/changelog ===
ignition-common (4.5.1+ds-2build1) lunar; urgency=medium

  * No-change rebuild against libtinyobjloader2rc10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Feb 2023 03:15:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ignition-common
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
@@ -20,7 +21,7 @@
                libavdevice-dev,
                libswscale-dev,
                libtinyobjloader-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
 Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git

## ignition-common 4.7.0%2Bds2

=== debian/changelog ===
ignition-common (4.7.0+ds2-2.1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 22 May 2024 19:29:44 +0800

ignition-common (4.7.0+ds2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062439

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:46:19 +0000

ignition-common (4.7.0+ds2-2) unstable; urgency=medium

  * Require ignition-math 6.12.0 for gz transition
    (Closes: #1050921)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Sep 2023 09:24:10 +0000

ignition-common (4.7.0+ds2-1) unstable; urgency=medium

  * New upstream version 4.7.0+ds2 (Closes: #1041379)
  * Rediff patches
  * Bump standard to 4.6.2
  * Include gz directories in install files
  * Add patch to fix build with gcc-13 (Closes: #1037694)
  * Include new GUI test in disable patch
  * Move copyright files to gz directory
  * Update copyright years and info
  * Relax lintian override condition

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Aug 2023 17:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ignition-common
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.21.22), cmake,
                pkg-config,
                debhelper-compat (= 13),
                doxygen,
                libgtest-dev,
                libfreeimage-dev,
-               libignition-cmake-dev (>= 2.8.0),
-               libignition-math-dev (>= 6),
+               libignition-cmake-dev (>= 2.14.0),
+               libignition-math-dev (>= 6.12.0),
                libignition-utils-dev,
                libtinyxml2-dev,
                uuid-dev,
@@ -21,7 +20,7 @@
                libavdevice-dev,
                libswscale-dev,
                libtinyobjloader-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
 Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
@@ -30,9 +29,9 @@
 Package: libignition-common-core-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          uuid-dev,
-         libignition-common4-4 (= ${binary:Version}),
+         libignition-common4-4t64 (= ${binary:Version}),
          libtinyobjloader-dev,
          ${misc:Depends}
 Suggests: ignition-tools
@@ -52,8 +51,8 @@
 Depends: libignition-common-core-dev (= ${binary:Version}),
          libignition-common-av-dev (= ${binary:Version}),
          libignition-common-graphics-dev (= ${binary:Version}),
-         libignition-common4-profiler4 (= ${binary:Version}),
-         libignition-common4-events4 (= ${binary:Version}),
+         libignition-common4-profiler4t64 (= ${binary:Version}),
+         libignition-common4-events4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Recommends: ignition-common-cli
@@ -65,7 +64,10 @@
  .
  Metapackage for development. Includes events and profiler.
 
-Package: libignition-common4-4
+Package: libignition-common4-4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-4
+Breaks: libignition-common4-4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +80,10 @@
  .
  This package gathers the shared library
 
-Package: libignition-common4-av4
+Package: libignition-common4-av4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-av4
+Breaks: libignition-common4-av4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -94,14 +99,14 @@
 Package: libignition-common-av-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          libignition-common-core-dev,
          libavdevice-dev,
          libavformat-dev,
          libavcodec-dev,
          libswscale-dev,
          libavutil-dev,
-         libignition-common4-av4 (= ${binary:Version}),
+         libignition-common4-av4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - AV dev files
@@ -112,7 +117,10 @@
  .
  AV component of the library, development files
 
-Package: libignition-common4-events4
+Package: libignition-common4-events4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-events4
+Breaks: libignition-common4-events4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -128,14 +136,14 @@
 Package: libignition-common-graphics-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          libignition-common-core-dev,
-         libignition-math-dev,
+         libignition-math-dev (>= 6.12.0),
          libignition-utils-dev,
          libtinyobjloader-dev,
          libtinyxml2-dev,
          libgts-dev,
-         libignition-common4-graphics4 (= ${binary:Version}),
+         libignition-common4-graphics4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition Common classes and functions (Graphics) - Development files
@@ -144,7 +152,10 @@
  .
  Graphics component of the library, development files
 
-Package: libignition-common4-graphics4
+Package: libignition-common4-graphics4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-graphics4
+Breaks: libignition-common4-graphics4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -157,7 +168,10 @@
  .
  Graphics component of the library
 
-Package: libignition-common4-profiler4
+Package: libignition-common4-profiler4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-profiler4
+Breaks: libignition-common4-profiler4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -172,7 +186,7 @@
 
 Package: ignition-common-cli
 Architecture: any
-Depends: libignition-common4-4 (= ${binary:Version}),
+Depends: libignition-common4-4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - CLI tools

## ignition-common 4.7.0+ds2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,20 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common4 VERSION 4.5.1)
+project(ignition-common4 VERSION 4.7.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
+find_package(ignition-cmake2 2.14.0 REQUIRED COMPONENTS utilities)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/common
+)
 
 #============================================================================
 # Set project-specific options

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
 add_executable(logging_performance logging_performance.cc)
 target_link_libraries(logging_performance ignition-common${IGN_COMMON_VER}::core)
 
+add_executable(util_example util.cc)
+target_link_libraries(util_example ignition-common${IGN_COMMON_VER}::core)

=== profiler/include/CMakeLists.txt ===
install(DIRECTORY gz DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== profiler/src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
   PROFILER_TESTS
   Profiler_Disabled_TEST.cc
 )
+
+if(NOT WIN32)
+  list(APPEND PROFILER_TESTS Profiler_Error_TEST.cc)
+endif()
 
 if(IGN_PROFILER_REMOTERY)
   set(

=== test/performance/CMakeLists.txt ===
ign_get_sources(tests)

# plugin_specialization test causes lcov to hang
# see ign-cmake issue 25
if("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  list(REMOVE_ITEM tests
    plugin_specialization.cc)
endif()

link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(
  TYPE PERFORMANCE
  SOURCES ${tests})
  
if(TARGET PERFORMANCE_plugin_specialization)
  # We add this dependency to make sure that DummyPlugins gets generated
  # before PERFORMANCE_plugin_specialization so that its auto-generated header is available.
  add_dependencies(PERFORMANCE_plugin_specialization IGNDummyPlugins)
endif()

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.21.22), cmake,
+Build-Depends: cmake,
                pkg-config,
                debhelper-compat (= 13),
                doxygen,
@@ -31,7 +31,7 @@
 Section: libdevel
 Depends: libignition-cmake-dev (>= 2.14.0),
          uuid-dev,
-         libignition-common4-4t64 (= ${binary:Version}),
+         libignition-common4-4 (= ${binary:Version}),
          libtinyobjloader-dev,
          ${misc:Depends}
 Suggests: ignition-tools
@@ -51,8 +51,8 @@
 Depends: libignition-common-core-dev (= ${binary:Version}),
          libignition-common-av-dev (= ${binary:Version}),
          libignition-common-graphics-dev (= ${binary:Version}),
-         libignition-common4-profiler4t64 (= ${binary:Version}),
-         libignition-common4-events4t64 (= ${binary:Version}),
+         libignition-common4-profiler4 (= ${binary:Version}),
+         libignition-common4-events4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Recommends: ignition-common-cli
@@ -64,10 +64,7 @@
  .
  Metapackage for development. Includes events and profiler.
 
-Package: libignition-common4-4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-4
-Breaks: libignition-common4-4 (<< ${source:Version})
+Package: libignition-common4-4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -80,10 +77,7 @@
  .
  This package gathers the shared library
 
-Package: libignition-common4-av4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-av4
-Breaks: libignition-common4-av4 (<< ${source:Version})
+Package: libignition-common4-av4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +100,7 @@
          libavcodec-dev,
          libswscale-dev,
          libavutil-dev,
-         libignition-common4-av4t64 (= ${binary:Version}),
+         libignition-common4-av4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - AV dev files
@@ -117,10 +111,7 @@
  .
  AV component of the library, development files
 
-Package: libignition-common4-events4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-events4
-Breaks: libignition-common4-events4 (<< ${source:Version})
+Package: libignition-common4-events4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -143,7 +134,7 @@
          libtinyobjloader-dev,
          libtinyxml2-dev,
          libgts-dev,
-         libignition-common4-graphics4t64 (= ${binary:Version}),
+         libignition-common4-graphics4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition Common classes and functions (Graphics) - Development files
@@ -152,10 +143,7 @@
  .
  Graphics component of the library, development files
 
-Package: libignition-common4-graphics4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-graphics4
-Breaks: libignition-common4-graphics4 (<< ${source:Version})
+Package: libignition-common4-graphics4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -168,10 +156,7 @@
  .
  Graphics component of the library
 
-Package: libignition-common4-profiler4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-profiler4
-Breaks: libignition-common4-profiler4 (<< ${source:Version})
+Package: libignition-common4-profiler4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -186,7 +171,7 @@
 
 Package: ignition-common-cli
 Architecture: any
-Depends: libignition-common4-4t64 (= ${binary:Version}),
+Depends: libignition-common4-4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - CLI tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
BUILDHOME = $(CURDIR)/debian/build

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_EXTERNAL_TINYXML2=True \
                -DIGN_PROFILER_REMOTERY=True \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False \
                -DUSE_HOST_SSE_FLAGS:BOOL=False

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

execute_after_dh_auto_install:
	# Manually replace build path by install location in tag file
	sed -i -e 's#$(CURDIR).*/include#/usr/include/ignition/common4#' debian/tmp/usr/share/ignition/ignition-common4/ignition-common4.tag.xml

execute_after_dh_install:
	# need to remove duplicate files already present in other -dev packages
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/ignition/common/av.hh
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/gz/common/av.hh
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/ignition/common/events.hh
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/gz/common/events.hh
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/ignition/common/graphics.hh
	$(RM) debian/libignition-common-core-dev/usr/include/ignition/common*/gz/common/graphics.hh

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
	@echo 'blhc: ignore-line-regexp: .*test/static_assertions/plugin_.*'
	HOME=$(BUILDHOME) dh_auto_test --no-parallel

%:
	dh $@
